Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Persistence/Legacy/Content/ObjectState/Gateway.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\Persistence\Legacy\Content\ObjectState;
8
9 use eZ\Publish\SPI\Persistence\Content\ObjectState;
10 use eZ\Publish\SPI\Persistence\Content\ObjectState\Group;
11
15 abstract class Gateway
16 {
24 abstract public function loadObjectStateData($stateId);
25
34 abstract public function loadObjectStateDataByIdentifier($identifier, $groupId);
35
43 abstract public function loadObjectStateListData($groupId);
44
52 abstract public function loadObjectStateGroupData($groupId);
53
61 abstract public function loadObjectStateGroupDataByIdentifier($identifier);
62
71 abstract public function loadObjectStateGroupListData($offset, $limit);
72
79 abstract public function insertObjectState(ObjectState $objectState, $groupId);
80
86 abstract public function updateObjectState(ObjectState $objectState);
87
93 abstract public function deleteObjectState($stateId);
94
101 abstract public function updateObjectStateLinks($oldStateId, $newStateId);
102
108 abstract public function deleteObjectStateLinks($stateId);
109
115 abstract public function insertObjectStateGroup(Group $objectStateGroup);
116
122 abstract public function updateObjectStateGroup(Group $objectStateGroup);
123
129 abstract public function deleteObjectStateGroup($groupId);
130
138 abstract public function setContentState($contentId, $groupId, $stateId);
139
148 abstract public function loadObjectStateDataForContent($contentId, $stateGroupId);
149
157 abstract public function getContentCount($stateId);
158
165 abstract public function updateObjectStatePriority($stateId, $priority);
166 }
eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway
ObjectState Gateway.
Definition: Persistence/Legacy/Content/ObjectState/Gateway.php:16
eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\loadObjectStateDataByIdentifier
loadObjectStateDataByIdentifier($identifier, $groupId)
Loads data for an object state by identifier.
eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\getContentCount
getContentCount($stateId)
Returns the number of objects which are in this state.
eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\loadObjectStateListData
loadObjectStateListData($groupId)
Loads data for all object states belonging to group with $groupId ID.
eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\updateObjectStatePriority
updateObjectStatePriority($stateId, $priority)
Updates the object state priority to provided value.
eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\insertObjectStateGroup
insertObjectStateGroup(Group $objectStateGroup)
Inserts a new object state group into database.
eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\insertObjectState
insertObjectState(ObjectState $objectState, $groupId)
Inserts a new object state into database.
eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\loadObjectStateGroupDataByIdentifier
loadObjectStateGroupDataByIdentifier($identifier)
Loads data for an object state group by identifier.
eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\deleteObjectStateGroup
deleteObjectStateGroup($groupId)
Deletes the object state group identified by $groupId.
eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\loadObjectStateGroupListData
loadObjectStateGroupListData($offset, $limit)
Loads data for all object state groups, filtered by $offset and $limit.
eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\loadObjectStateData
loadObjectStateData($stateId)
Loads data for an object state.
eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\loadObjectStateDataForContent
loadObjectStateDataForContent($contentId, $stateGroupId)
Loads object state data for $contentId content from $stateGroupId state group.
eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\setContentState
setContentState($contentId, $groupId, $stateId)
Sets the object state $stateId to content with $contentId ID.
eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\loadObjectStateGroupData
loadObjectStateGroupData($groupId)
Loads data for an object state group.
eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\deleteObjectState
deleteObjectState($stateId)
Deletes object state identified by $stateId.
eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\updateObjectStateGroup
updateObjectStateGroup(Group $objectStateGroup)
Updates the stored object state group with provided data.
eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\deleteObjectStateLinks
deleteObjectStateLinks($stateId)
Deletes object state links identified by $stateId.
eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\updateObjectStateLinks
updateObjectStateLinks($oldStateId, $newStateId)
Update object state links from $oldStateId to $newStateId.
eZ\Publish\Core\Persistence\Legacy\Content\ObjectState\Gateway\updateObjectState
updateObjectState(ObjectState $objectState)
Updates the stored object state with provided data.
eZ\Publish\SPI\Persistence\Content\ObjectState\Group
This class represents a persistent object state group.
Definition: ObjectState/Group.php:15
eZ\Publish\SPI\Persistence\Content\ObjectState
This class represents a persistent object state.
Definition: SPI/Persistence/Content/ObjectState.php:15
eZ\Publish\SPI\Persistence\Content\ObjectState
Definition: ObjectState/Group.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.